<script setup lang="ts">
import { inject, ref, type Ref } from 'vue'

const rail = inject<Ref<boolean>>('rail')

const icon = ref<string>('')
const title = ref<string>('')

const currentTime = ref<string>('')

function ShowTime() {
  const timeNow = new Date()
  currentTime.value = timeNow.toLocaleTimeString()
}
setInterval(ShowTime, 1000)
</script>

<template>
  <v-app-bar color="#744522">
    <template v-slot:prepend>
      <v-app-bar-nav-icon @click.stop="rail = !rail"></v-app-bar-nav-icon>
    </template>

    <v-app-bar-title
      ><v-icon>{{ icon }}</v-icon> {{ title }}
    </v-app-bar-title>

    <v-spacer></v-spacer>
    <div class="TimeTitle">{{ currentTime }}</div>
  </v-app-bar>
</template>

<style>
.TimeTitle {
  color: rgb(193, 178, 178);
  font-size: 35px;
  margin-right: 45px;
}
</style>
